Conversations
Update Conversation
Update conversation
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
conversationIdstring* Required
Request Body * Required
Request Body Schema: application/json
namestring
The associated name
descriptionstring
The associated description
metaobject
Meta data information
contactIdstring
The contact id assigned to this conversation
taskIdstring
The task id assigned to this conversation
spaceIdstring
The space id assigned to this conversation
expiresAtinteger
Epoch-ms timestamp at which the conversation is automatically deleted; null clears any expiry
botIdstring
The ID of the bot this configuration is using
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.conversation.update(
conversationId,{)"name":"string","description":"string","meta":"object","contactId":"string","taskId":"string","spaceId":"string","expiresAt":"integer",}"botId":"string"
{"id":"string"}